//file:noinspection ALL
pipeline {
    agent any

    environment {
        projectName = 'xxl-job'
    }

    stages {
        stage('#检查环境') {
            steps {
                sh """
                    java -version
                """
            }
        }

        stage('#编译项目') {
            steps {
                sh """
                    wget -N http://git.yvanui.com/lizhiwei/jztd-deploy/raw/master/00base/03xxljob.sh
                    chmod +x 03xxljob.sh
                    wget -N http://git.yvanui.com/lizhiwei/jztd-deploy/raw/master/05shengke/03xxljob-prod.sh
                    chmod +x 03xxljob-prod.sh
                    ./03xxljob-prod.sh stop
                    ./03xxljob.sh pull
                """
                sh """
                    sleep 3s
                    JENKINS_NODE_COOKIE=dontKillMe nohup ./03xxljob-prod.sh start > /dev/null 2>&1 &
                """
            }
        }
    }
}
