//file:noinspection ALL
pipeline {
    agent any

    environment {
        projectName = 'wms8'
    }

    stages {
        stage('#检查环境') {
            steps {
                sh """
                    java -version
                    gradle -v
                """
            }
        }

        stage('#编译项目') {
            steps {
                sh """
                    wget -N http://git.yvanui.com/lizhiwei/jztd-deploy/raw/master/05shengke/04wms83-prod.sh
                    chmod +x ./04wms83-prod.sh
                    ./04wms83-prod.sh deploy
                """
                sh """
                    sleep 3s
                    JENKINS_NODE_COOKIE=dontKillMe nohup ./04wms83-prod.sh restart > /dev/null 2>&1 &
                """
            }
        }
    }
}
