//file:noinspection ALL
pipeline {
    agent any

    environment {
        projectName = 'wms8-api'
    }

    stages {
        stage('#检查环境') {
            steps {
                sh """
                    java -version
                    gradle -v
                """
            }
        }

        stage('#编译项目') {
            steps {
                sh """
                    wget -N http://git.yvanui.com/lizhiwei/jztd-deploy/raw/master/05shengke/05api-prod.sh
                    chmod +x ./05api-prod.sh
                    ./05api-prod.sh build
                """
                sh """
                    JENKINS_NODE_COOKIE=dontKillMe nohup ./05api-prod.sh restart > /dev/null 2>&1 &
                """
            }
        }
    }
}
